> For the complete documentation index, see [llms.txt](https://faq.finerymarkets.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://faq.finerymarkets.com/api-reference/rest-api/trading/orders-and-order-book/algo-orders/del-authorized.md).

# del (authorized)

Allows Master to cancel his subaccount algo order (GTC or with synthetic instrument).

{% hint style="info" %}
Please note that it is not possible to specify `orderId` *and* `clientOrderId` simultaneously.
{% endhint %}

{% tabs %}
{% tab title="Payload" %}

```
POST /algo/authorized/order/del

{
  "id": 123456,
  "clientId": 123456
}

or

{
  "clientOrderId": 123456,
  "clientId": 123456
}

```

<table><thead><tr><th width="170">Parameter</th><th width="164.7999267578125">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>Efx::OrderId</td><td>The ID of the order to delete (either this or <code>clientOrderId</code> should be specified).<br>See <a href="/api-reference/data-types.md">Data Types</a>.</td></tr><tr><td>clientOrderId</td><td>Efx::ClientOrderId</td><td>The client ID of the order to delete (either this or <code>orderId</code> should be specified).<br>See <a href="/api-reference/data-types.md">Data Types</a>.</td></tr><tr><td>clientId</td><td>Efx::ClientId</td><td>Subaccount client ID whose order is to be cancelled.<br>See <a href="/api-reference/data-types.md">Data Types</a>.</td></tr></tbody></table>

{% endtab %}

{% tab title="Response 200 OK" %}

```
// success for order by size
{
    "id": 123456,
    "remainingSize": 100000000,
    "success": true
}

// success for order by volume
{
    "id": 123456,
    "remainingVolume": 100000000,
    "success": true
}

// could not cancel order
{
    "id": 123456,
    "success": false
}
```

<table><thead><tr><th width="229.99993896484375">Attribute</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>Efx::OrderId</td><td>Order ID.<br>See <a href="/api-reference/data-types.md">Data Types</a>.</td></tr><tr><td>remainingSize</td><td>Efx::Size</td><td>For order by size only: remaining order size. <br>See <a href="/api-reference/data-types.md">Data Types</a>.</td></tr><tr><td>remainingVolume</td><td>Efx::Size</td><td>For order by volume only: remaining order volume.<br>See <a href="/api-reference/data-types.md">Data Types</a>.</td></tr><tr><td>success</td><td>boolean</td><td>Flag that displays if order was cancelled successfully</td></tr></tbody></table>
{% endtab %}

{% tab title="Response NoOK" %}

```
// in case of any unexpected error
{
    "error": 9,
    "errorDescription": [
        "Some description"
    ]
}
```

| Attribute        | Type           | Description                                                                                                                       |
| ---------------- | -------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| error            | Efx::ErrorCode | Operation result code. Possible values are in [List of Error Codes](/api-reference/troubleshooting-errors/list-of-error-codes.md) |
| errorDescription | string array   | List of strings describing observed errors                                                                                        |
| {% endtab %}     |                |                                                                                                                                   |
| {% endtabs %}    |                |                                                                                                                                   |
